<?php
//02-04-2026 Errores de caché y páginas cortadas a mitad. VCDL
ob_start();
$isIIS = ( isset($_SERVER['SERVER_SOFTWARE']) && strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS')!==false );
if(!$isIIS) opcache_reset();
if(!session_id()) session_start();

require_once('config.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/includes.php');

require_once($rutaPhp.$rutaHtml.'/acceso/control.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

require_once($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

$esperarCarga=true;

unset( $_SESSION['preparacionPaletActualFijado'] );
unset( $_SESSION['preparacionPaletActualFijadoUbicacion'] );
unset( $_SESSION['preparacionCajaPaletActualFijada'] );

unset( $_SESSION['preparacionPaletActualTipoFijado'] );
unset( $_SESSION['preparacionCajaPaletActualTipoFijada'] );

unset( $_SESSION['atributosPaletsConfirmados'] );

unset($_SESSION['carga']); //14-04-2025 Causa errores en la redireccion de las OP que pueden venir de los dos sitios. Si para por este listado, no viene de carga. Desde la carga, salta directo a la OP

?>
<h2>Órdenes de Preparación <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<div id="listaOrdenes" style="padding-bottom:70px">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location.reload();
	});
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/ordenes-preparacion-listado.php<?php if($traza) { ?>?traza=si<?php } ?>" )
		.done(function(data) {
			$('#popupCargando').hide();
			$('#listaOrdenes').html(data);
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
